Texa DeskDevelopers

Texa Desk Application API · Reports

Account Conversation Metrics

GET/api/v2/accounts/{account_id}/reports/conversations

Get conversation metrics for Account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

typestringrequired

Type of report

Responses

200

Success

opennumber
unattendednumber
unassignednumber
404

reports not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring